<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@taglib prefix="p" uri="http://www.test.com/jsp/permission" %>
<!doctype html>
<html>
<head>
	<%@ include file="../../common/head.jsp"%>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /> 
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<link href="../res/css/plugins/bootstrap-table/bootstrap-table.min.css" rel="stylesheet" />
    <script src="../res/js/plugins/bootstrap-table/bootstrap-table.js"></script>
    <script src="../res/js/plugins/bootstrap-table/bootstrap-table-mobile.min.js"></script>
    <script src="../res/js/plugins/bootstrap-table/locale/bootstrap-table-zh-CN.min.js"></script>
    <script>
    	
    	function test(value,row,index){
//     		return '<a href="#">' + row['id'] + '</a>';
    		return '<a href="#">编辑 </a>|<a href="#">删除</a>';
    	}
    	
    	
    	function format_action(value,row,index){
     		return '<a href="javascript:show('+row.id+');">查看 </a>|<a href="javascript:orderEnd('+row.id+');">终止</a>|<a href="javascript:orderContinuation('+row.id+');">订单继续</a>';
     	}
    	
    	function init_pwd(){
    		var data = getSelectedRow("tab_user");
    		if(null == data){
    			return;
    		}
    		
    		$.confirm("确定初始化密码吗？ ", function(){
    			$.post('initPwd.cs?id=' + data.id, 
    					function(result){
    						window.location.reload();
    						}
    			);
    		});
    	}

        function format_type(value,row,index){
    	    if(value == 0){
    	        return '平台管理员';
			}else if(value==1){
                return '机场管理员';
            }else if(value==2){
                return '航空公司管理员';
            }
        }
        $(function(){
    		$('#btnSearch').click(function () { 
    			$('#tab_user').bootstrapTable('refresh');
  	        });  
  	        
  	        $('#clearHref').click(function () { 
  	        	$('#myform')[0].reset();
 	       	}); 
  	        
  	       
  	        
    	});
        
     // 分配角色
   	function show(id){
   		$.openDlg({
   			url:'transfer.cs?action=view&id=' + id,
   			title:'查看详情',
   			width:'95%',
   			height:'95%',
   		});
   	}	
        
        
     //订单继续
   	function orderContinuation(id){
       	$.confirm("确定订单继续？ ", function(){
   			$.post('orderContinuation.cs?id=' + id, 
				function(result){
					window.location.reload();
				}
   			);
   		});
       }
    //订单终止
   	function orderEnd(id){
       	$.confirm("确定终止订单吗？ ", function(){
   			$.post('orderEnd.cs?id=' + id, 
				function(result){
					window.location.reload();
				}
   			);
   		});
       }	
        
    	// 分配角色
    	function setRole(){
    		var data = getSelectedRow("tab_user");
    		if(null == data){
    			return;
    		}
    		$.openDlg({
    			url:'transfer.cs?action=setRole&id=' + data.id,
    			title:'分配角色',
    			width:'100%',
    			height:'100%',
    		});
    	}
    	function queryParams(params){
			var page = params.offset / params.limit + 1;
			var dataObj = new Object(); 
			//alert($("#search").val());
			dataObj.name=$("#name").val();
			dataObj.orderNo=$("#orderNo").val();
			return  { page:page, 
					  pageSize:params.limit, 
					  search:JSON.stringify(dataObj), 
					  sort:params.sort,
					  order:params.order,
		};  
	} 
    	
    </script>
</head>

<body class="gray-bg">
    <div class="wrapper wrapper-content animated fadeInUp">
    	<div class="row row-lg">
  			<div class="col-sm-12">
				<div class="ibox-content m-b-sm border-bottom">
					<div class="">
						<h4>查询条件</h4>
					</div>
					<form class="form-inline" id="myform">
						<div class="form-group">
						<label>&nbsp;客户名称：</label><input id="name" name="name" class="form-control" type="text" value="">
						<label>&nbsp;订单编号：</label><input id="orderNo" name="orderNo" class="form-control" type="text" value="">
						
						</div>
						
						&nbsp;&nbsp;
						<label><a href="#" id="btnSearch" class="btn btn-primary"><i class="icon-search"></i> 搜索</a></label>&nbsp;&nbsp;
						<label><a href="#" id="clearHref" class="btn btn-primary"><i class="icon-search"></i> 清除搜索条件</a></label>
					</form>
				</div>

                  <table id="tab_user"  
                  	   data-toggle="table"
				       data-url="warningList2.cs"
				       data-method="get"
				       data-click-to-select="true"
				       data-pagination="true"
				       data-data-type="json"
				       data-show-refresh="true"
				       data-show-columns="true"
				       data-show-toggle="true"
				       data-search-on-enter-key="true"
				       data-toolbar="#def_toolbar"  
				       data-side-pagination="server"
				       data-query-params="queryParams"
				       data-mobile-responsive="true"
						>
                      <thead>
                          <tr>
                              <th data-checkbox="true"	data-click-to-select="true"></th>
                              <th data-field="id" data-visible="false">id</th>
                              <th data-field="order_no">订单编号</th>
                              <th data-field="customer_name">客户姓名</th>  
                               <th data-field="customer_phone">客户电话</th>                            
                              <th data-field="user_name">推荐人姓名</th>                              
                              <th data-field="saler_name">销售人员姓名</th>
                              <th data-field="create_date" data-formatter="format_time">创建时间</th>
                              <th data-field="state_name">订单状态</th>
                              <th data-formatter="format_action">操作</th>
                          </tr>
                      </thead>
                  </table>	              		
             		</div>	              	
             </div>				 
    </div>
</body>
</html>
